package com.prolog.cs.biz.outbound.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description
 * @Date 2021-06-09
 */
@ApiModel
public class PickTaskDConfirmVO {

    String pickOrderId;
    String pickTaskDId;
    String pickTaskId;
    @ApiModelProperty(value = "实际拣货数量")
    BigDecimal pickQty;

    @ApiModelProperty(value = "监管码")
    private String superviseCode;

    @ApiModelProperty(value = "红冲原因")
    private String redReason;

    @ApiModelProperty(value = "红冲类型(1：还原库位；2：入盘点库)")
    private String redType;

    public String getSuperviseCode() {
        return superviseCode;
    }

    public void setSuperviseCode(String superviseCode) {
        this.superviseCode = superviseCode;
    }

    public String getPickOrderId() {
        return pickOrderId;
    }

    public void setPickOrderId(String pickOrderId) {
        this.pickOrderId = pickOrderId;
    }

    public String getPickTaskDId() {
        return pickTaskDId;
    }

    public void setPickTaskDId(String pickTaskDId) {
        this.pickTaskDId = pickTaskDId;
    }

    public String getPickTaskId() {
        return pickTaskId;
    }

    public void setPickTaskId(String pickTaskId) {
        this.pickTaskId = pickTaskId;
    }

    public BigDecimal getPickQty() {
        return pickQty;
    }

    public void setPickQty(BigDecimal pickQty) {
        this.pickQty = pickQty;
    }

    public String getRedReason() {
        return redReason;
    }

    public void setRedReason(String redReason) {
        this.redReason = redReason;
    }

    public String getRedType() {
        return redType;
    }

    public void setRedType(String redType) {
        this.redType = redType;
    }
}
